#!/bin/sh
setfont -C /dev/tty1 -v /usr/share/kbd/consolefonts/lat2-12.psfu.gz -u /usr/share/kbd/unimaps/lat2.uni
echo -e "\033c" > /dev/tty1
echo -e "----------------------------------------" > /dev/tty1
echo -e " \033[34mNexwell Engineering C 2014\033[0m" > /dev/tty1
echo -e " \033[31mMulti-functional Touch Button\033[0m" > /dev/tty1
echo -e "----------------------------------------" > /dev/tty1
i2cset -y 0 0x60 0x0f 0xff
echo "Processing:" > /dev/tty1
cd /mnt/fat/scripts
echo "..dev nodes check" > /dev/tty1
/bin/sh check_devnodes.sh &&
echo "..fonts" > /dev/tty1
/bin/sh cache_fonts.sh &&
echo "..pixbuf loaders" > /dev/tty1
/bin/sh cache_pixbufloaders.sh &&
echo "..working copy" > /dev/tty1
/bin/sh prep_config.sh &&
export DFBARGS=no-cursor-updates
echo "Starting user interface..." > /dev/tty1
cd /mnt/fat/wpd_app
./wpd-app 1>/dev/null 2>/dev/null
echo "\033[33mOops! This should not happen.\033[0m" > /dev/tty1
echo "\033[33mTrying to reboot...\033[0m" > /dev/tty1

